## org.codehaus.groovy.runtime.metaclass
Class NewMetaMethod

Base class for NewInstanceMetaMethod and NewStaticMetaMethod

Field Summary
`def` | `EMPTY_TYPE_ARRAY`
`def` | `bytecodeParameterTypes`

Constructor Summary
`NewMetaMethod(CachedMethod method)`

Method Summary
`def` | `getBytecodeParameterTypes()`
`CachedClass` | `getDeclaringClass()`
`CachedClass` | `getOwnerClass()`

Constructor Detail

### NewMetaMethod

    public NewMetaMethod(CachedMethod method)

Method Detail

### getBytecodeParameterTypes

    public def getBytecodeParameterTypes()

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getOwnerClass

    public CachedClass getOwnerClass()